### Method

# Gtk AlertDialogset_cancel_button

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_set_cancel_button (
      GtkAlertDialog* self,
      int button
    )

#### Description [src]

Sets the index of the cancel button.

See `GtkAlertDialog:cancel-button` for details of how this value is used.

Available since: 4.10

Sets property | `Gtk.AlertDialog:cancel-button`

#### Parameters

`button`

  Type: `int`

  The new cancel button.